<!DOCTYPE html>

<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <div id="app">
        <form>
            <input type="text" v-model="keyword" placeholder="ketikkan kata kunci" @input="findKeyword()">

            <ul>
                <li v-for="(result) in results">{{result}}</li>
            </ul>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                books: [
                    'Kalkulus Dasar',
                    'Fisika Dasar',
                    'Aljabar Linier Elementer',
                    'Aljabar Abstrak',
                    'Algoritma Pemrograman',
                ],
                keyword: "",
                results: [
                    'Kalkulus Dasar',
                    'Fisika Dasar',
                    'Aljabar Linier Elementer',
                    'Aljabar Abstrak',
                    'Algoritma Pemrograman',
                ]
            },
            methods: {
                findKeyword: function () {
                    if (this.keyword === "") {
                        this.results = this.books
                    } else {
                        this.results = this.books.filter(book => {
                            return book.toLowerCase().includes(this.keyword);
                        })
                    }
                }
            }
        })
    </script>
</body>

</html>